$!
$! Build instructions for gnupg-1.0.2 for OpenVMS based on a build
$! on Linux/Alpha with gcc
$!
$! if P1 is defined it builds debug versions
$! if P2 is defined it causes all file moves and CHECKS to be skipped
$!
$ if (P1 .nes. "")
$ then
$   cflag = "/debug/noopt"
$   lflag = "/debug"
$ else
$   cflag = ""
$   lflag = ""
$ endif
$!
$ mycc   :== cc/standard=relaxed/prefix=all/warn=(disable=PTRMISMATCH1) 'cflag'
$ mylink :== link 'lflag'
$ toplevel = f$environment("DEFAULT")
$!
$! 
$ write sys$Output ""
$ gtemp = toplevel - "]" + ".locale]"
$ define GNUPGLOCALE 'gtemp'
$ write sys$Output "Define GNUPGLOCALE as ''gtemp'"
$ define GNUPGLIB NLA0:
$ write sys$Output "GNUPGLIB may have no function, define it as NLA0:"
$ gtemp = toplevel - "]" + ".g10]"
$ define GNUPGDATA 'gtemp'
$ write sys$Output "Define GNUPGDATA  as ''gtemp'"
$ write sys$Output " the sole function of this seems to be to reference the file options.skel"
$ write sys$Output ""
$!
$!
$! make up for lack of "configure"
$!
$ if(P2 .nes. "")then goto NOMOVE
$ write sys$output "Moving those files which must be moved..."
$ copy/log vms_config.h    [.include]config.h
$ copy/log vms_g10defs.h   [.include]g10defs.h
$ copy/log vms_construct.c [.cipher]construct.c
$ copy/log rndvms.c        [.cipher]rndvms.c
$!
$! move the locale bits, no idea if these are ever used though!
$! This has the side effect of creating a [.locale] subdirectory.
$!
$ toplocale:
$    file=f$search("[.po]*.gmo")
$    if(file .nes. "")
$    then
$        nfile = f$parse(file,,,"name")
$        tfile = "[.locale.''nfile'.lc_messages]''nfile'.mo"
$        backup/replace/log 'file' 'tfile'
$        goto toplocale
$    endif
$ NOMOVE:
$!
$ write sys$output "Building [.zlib]"
$ set def [.zlib]
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  adler32.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  compress.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  crc32.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  uncompr.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  deflate.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  trees.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  zutil.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  inflate.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  infblock.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  inftrees.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  infcodes.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  infutil.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-])  inffast.c
$ library/create/object libzlib.olb *.obj
$ delete *.obj.*
$!
$ write sys$output "Building [.util]"
$ set def [-.util]
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) g10u.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) logger.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) fileutil.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) miscutil.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) strgutil.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) ttyio.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) argparse.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) memory.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) secmem.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) errors.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) iobuf.c
$ mycc/define=(HAVE_CONFIG_H,HAVE_DOSISH_SYSTEM)/include=([],[-],[-.include],[-.intl]) dotlock.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) http.c
$! unused except on some odd W32 environment
$!   mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) simple-gettext.c
$!   mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) w32reg.c
$ library/create/object libutil.olb *.obj
$ delete *.obj.*
$ write sys$output "Building [.mpi]  (which has nothing to do with MPI for parallel programming)"
$ set def [-.mpi]
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-add.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-bit.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-cmp.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-div.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-gcd.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-inline.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-inv.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-mul.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-pow.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-mpow.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpi-scan.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpicoder.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpih-cmp.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpih-div.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpih-mul.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  mpiutil.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  g10m.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  [.generic]mpih-mul1.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  [.generic]mpih-mul2.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  [.generic]mpih-mul3.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  [.generic]mpih-add1.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  [.generic]mpih-sub1.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  [.generic]mpih-lshift.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include])  [.generic]mpih-rshift.c
$ lib/object/create libmpi.olb *.obj
$ delete *.obj.*
$!
$ write sys$output "Building [.cipher]"
$ set def [-.cipher]
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) cipher.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) pubkey.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) md.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) dynload.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) des.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) twofish.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) blowfish.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) cast5.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) elgamal.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) primegen.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) random.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) dsa.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) g10c.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) smallprime.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) construct.c
$! random functions from linux
$! mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) rndlinux.c
$! mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) tiger.c
$!
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) sha1.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) rndvms.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) rmd160.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) md5.c
$! new in 1.0.4
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) rijndael.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) rsa.c
$!
$ lib/object/create libcipher.olb *.obj
$ delete *.obj.*
$!
$!
$ write sys$output "Building [.tools]"
$ set def [-.tools]
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) mpicalc.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) bftest.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) clean-sat.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) mk-tdata.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl]) shmtest.c
$ here = f$environment("DEFAULT")
$ mktcommand := $'here'mk-tdata.exe
$!
$ mylink/exe=shmtest    shmtest.obj,[-.cipher]libcipher/lib,[-.mpi]libmpi/lib,-
    [-.util]libutil/lib,[-.zlib]libzlib/lib
$ mylink/exe=mk-tdata   mk-tdata.obj,[-.zlib]libzlib/lib
$ mylink/exe=clean-sat  clean-sat.obj,[-.zlib]libzlib/lib
$ mylink/exe=mpicalc    mpicalc.obj,[-.cipher]libcipher/lib,[-.mpi]libmpi/lib, -
 [-.util]libutil/lib,[-.zlib]libzlib/lib
$ mylink/exe=bftest     bftest.obj,[-.cipher]libcipher/lib,[-.mpi]libmpi/lib, -
[-.util]libutil/lib,[-.zlib]libzlib/lib
$!
$!
$ write sys$output "Building [.g10]"
$ set def [-.g10]
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) build-packet.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) compress.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) free-packet.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) getkey.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) delkey.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) pkclist.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) skclist.c
$ mycc/define=(HAVE_CONFIG_H,USE_ONLY_8DOT3)/include=([],[-],[-.include],[-.intl],[-.zlib]) ringedit.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) kbnode.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) mainproc.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) armor.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) mdfilter.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) textfilter.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) cipher.c
$ mycc/define=(HAVE_CONFIG_H,HAVE_DOSISH_SYSTEM)/include=([],[-],[-.include],[-.intl],[-.zlib]) misc.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) openfile.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) keyid.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) trustdb.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) tdbdump.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) tdbio.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) hkp.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) parse-packet.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) passphrase.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) pubkey-enc.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) seckey-cert.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) seskey.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) import.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) export.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) comment.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) status.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) sign.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) plaintext.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) encr-data.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) encode.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) revoke.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) keylist.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) sig-check.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) signal.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) helptext.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) verify.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) decrypt.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) keyedit.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) dearmor.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) keygen.c
$ lib/object/create libg10.olb *.obj
$ delete *.obj.*
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) g10.c
$ mycc/define=HAVE_CONFIG_H/include=([],[-],[-.include],[-.intl],[-.zlib]) gpgv.c
$ mylink/exe=gpg  g10.obj, libg10/lib ,[-.cipher]libcipher/lib, -
 [-.mpi]libmpi/lib,[-.util]libutil/lib,[-.zlib]libzlib/lib
$ mylink/exe=gpgv  gpgv.obj, libg10/lib ,[-.cipher]libcipher/lib, -
 [-.mpi]libmpi/lib,[-.util]libutil/lib,[-.zlib]libzlib/lib
$ here = f$environment("DEFAULT")
$ gpgcommand := $'here'gpg.exe
$!
$ if(P2 .nes. "")then goto NOCHECKS
$ write sys$output "running checks in [.checks]"
$ set def [-.checks]
$ 
$ set ver
$ gpgcommand  --no-options --quiet --yes --dearmor -o pubring.gpg pubring.asc
$ gpgcommand  --no-options --quiet --yes --dearmor -o secring.gpg secring.asc
$ gpgcommand  --no-options --quiet --yes --dearmor -o plain-1     plain-1o.asc
$ gpgcommand  --no-options --quiet --yes --dearmor -o plain-2     plain-2o.asc
$ gpgcommand  --no-options --quiet --yes --dearmor -o plain-3     plain-3o.asc
$ gpgcommand  --no-options --quiet --yes --dearmor -o pubring.pkr pubring_pkr.asc
$ gpgcommand  --no-options --quiet --yes --dearmor -o secring.skr secring_skr.asc
$ pipe mktcommand    500  >data-500
$ pipe mktcommand   9000  >data-9000
$ pipe mktcommand  32000  >data-32000
$ pipe mktcommand  80000  >data-80000
$ append/new [-.doc]HACKING.;,[-.DOC]DETAILS.;,[-.DOC]FAQ.; plain-large.txt
$ set nover
$ time=f$time()
$ open/write ofil: prepared.stamp
$ write ofil: time
$ close ofil:
$ NOCHECKS:
$ set def [-]
$ set file/prot=w:re [...]*.*
$!
$ write sys$Output "Be sure to do:  $ gnupg :==''gpgcommand'"
$ write sys$output "Build completed"
